Subject: CESoPSN question

From: Shahram Davari <[email-masked]>
Date: Wed, 16 Apr 2003 06:59:54 -0700

Sasha,

Could you please explain why RTP is Required in CESoPSN draft? 

CESoPSN makes optional use of the following fields in RTP:

1) Sequence #: is optional because there is already a sequence number in
   the CW
2) Time stamp: Since only the Absolute timing mode is mandatory, and since as you mention
in section 9.4, the Absolute mode time stamp correlates with the CW Seq #. It seems that Time
stamp is also optional.

3) SSRS: As you have stated in the draft it "MAY be used for detection of misconnections". So it is optional. Besides if you are not multiplexing RTP streams over the same PW, which
I think should be the case (because Muxing header is in charge of Muxing), I don't
see any need for SSRC, because any misconnection could be detected by the Muxing layer.

4) Payload Type: If RTP is not present then UDP or MPLS PID could identify the PT as CESoPSN.

So if all the RTP fields are optional, why is it required for CESoPSN?

Thanks,
-Shahram

---

From: [email-masked]
Date: Thu, 17 Apr 2003 10:03:58 +0100

Shahram,
See section 5.3, draft-vainshtein-cesopsn-05.txt (submitted in February 
this year):
Second para reads:

Note: Under certain circumstances the RTP header MAY be suppressed in 
order to conserve network bandwidth.  See section 9.4 for details. 

In other words, the RTP header is optional. The one case where it is not 
optional is when the RFC2833 scheme is used to carry CAS, since this 
relies on the timestamp to re-align the signalling packets with the data. 
This is what is explained in section 9.4.

Tim

Shahram Davari <[email-masked]>
Sent by: [email-masked]
16-Apr-2003 02:59 PM

        To:     "'Sasha Vainshtein'" <[email-masked]>, "'Ron Cohen'" 
<[email-masked]>, "'Yaakov Stein'" <[email-masked]>, 
[email-masked], [email-masked]
        cc: 
        Subject:        [PWE3] CESoPSN question

Sasha,

1) Sequence #: is optional because there is already a sequence number in
   the CW
2) Time stamp: Since only the Absolute timing mode is mandatory, and since 
as you mention
in section 9.4, the Absolute mode time stamp correlates with the CW Seq #. 
It seems that Time
stamp is also optional.

3) SSRS: As you have stated in the draft it "MAY be used for detection of 
misconnections". So it is optional. Besides if you are not multiplexing 
RTP streams over the same PW, which
I think should be the case (because Muxing header is in charge of Muxing), 
I don't
see any need for SSRC, because any misconnection could be detected by the 
Muxing layer.

4) Payload Type: If RTP is not present then UDP or MPLS PID could identify 
the PT as CESoPSN.

Thanks,
-Shahram

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Shahram Davari <[email-masked]>
Date: Thu, 17 Apr 2003 07:48:49 -0700

Tim,

>order to conserve network bandwidth.  See section 9.4 for details. 

So could you please add (optional) in front of RTP header in all the diagrams.
In other words replace the term saying "fixed RTP header" with "Optional RTP header".

>This is what is explained in section 9.4.

Since doing RFC2833 is optional by itself, then RTP should be optional in your draft.
Correct?

Also the text says:

"
     o  Optional sequence number - implementation MAY copy 14 least 
         significant bits of the RTP sequence number into this field. 
         Otherwise it SHOULD be set to 0 at ingress. "

If RTP is optional then how can this statement be true?

Thanks,
-Shahram